$path = $args[0]
$code = Get-Content -Path $path

Clear-Content $path

for ($i = 0; $code[$i] -ne $NULL; $i++) {
  $str = $code[$i]
  $ignore = $FALSE

  # change base class of data contracts from "object" to "OKBItem"
  $str = $str.Replace("object, ", "OKBItem, ")

  # remove public event "PropertyChanged"
  if ($str.Contains("public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;")) {
    $ignore = $TRUE
  }

  # remove protected method "RaisePropertyChanged(string propertyName)"
  if ($str.Contains("protected void RaisePropertyChanged(string propertyName)")) {
    $ignore = $TRUE
    $i = $i + 7
  }

  if (-not $ignore) {
    Add-Content $path $str
  }
}